Subject: Re: [External] : bug#63967: 28.2; switch-to-buffer in normal window fails if minibuffer window is active

From: martin rudalics <[email-masked]>
Date: Mon, 12 Jun 2023 09:17:29 +0200

> It might be useful to compare with the way most non-Emacs systems cope
 > with these problems: they use what are known as "modal" dialogue boxes.
 > Having initiated one of these, there is no way of doing anything else in
 > the system, including looking at a buried frame, until the "modal"
 > dialogue has been terminated or aborted.  I think Emacs's way is better,
 > even if not perfect.

Alas, this is no longer true.  Start Emacs 29 via

emacs -Q --eval "(setq default-frame-alist '((minibuffer . nil)))"

Now type C-x 5 o to switch to the normal, minibuffer-less frame and then
type C-x f.  Next try to access the normal frame via C-x o, C-x 5 o, the
window manager's Alt-TAB or any other key combination.  This used to
work ever since.  Now you are in a modal dialogue exactly as described
above.

martin